Bug 1908755 (CVE-2020-35497) - CVE-2020-35497 ovirt-engine: non-admin user is able to access other users public SSH key
Summary: CVE-2020-35497 ovirt-engine: non-admin user is able to access other users pub...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-35497
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1910219
Blocks: 1908756
TreeView+ depends on / blocked
 
Reported: 2020-12-17 14:29 UTC by Marian Rehak
Modified: 2021-02-16 18:28 UTC (History)
10 users (show)

Fixed In Version: ovirt-engine 4.4.4.7
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ovirt-engine 4.4.3 and earlier. This flaw allows an authenticated user to read other users' personal information, including the name, email, and public SSH key. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed: 2021-02-02 14:42:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0383 0 None None None 2021-02-02 14:00:18 UTC

Description Marian Rehak 2020-12-17 14:29:50 UTC
Standard user is able to fetch admin user's record and one of the linked resources(ssh keys).

Comment 2 Stoyan Nikolov 2020-12-17 14:50:55 UTC
Acknowledgments:

Name: Martin Perina

Comment 5 errata-xmlrpc 2021-02-02 14:00:17 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.4

Via RHSA-2021:0383 https://access.redhat.com/errata/RHSA-2021:0383

Comment 6 Product Security DevOps Team 2021-02-02 14:42:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-35497


Note You need to log in before you can comment on or make changes to this bug.